Summary:    Remove embedding limitations from TrueType fonts
Name:       ttembed
Version:    1.1
Release:    3%{?dist}
License:    Public Domain
URL:        https://github.com/hisdeedsaredust/ttembed
Source0:    %{url}/archive/v%{version}.tar.gz

BuildRequires: make gcc

%description
Remove embedding limitations from TrueType fonts, by setting the fsType field in the OS/2 table to zero.
That's it; this program is a one-trick pony.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CFLAGS="$CFLAGS %{optflags}"
%make_build

%install
install -p -Dm 755 %{name} %{buildroot}%{_bindir}/%{name}
install -p -Dm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%check
echo 'not a font' > test
if [[ "$(./ttembed test 2>&1)" != "test: Not TTF/OTF" ]] ; then
    echo "TEST FAIL: not a font input test" 1>&2
    exit 1
fi
rm test

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Shuo Wang <abushwang@tencent.com> - 1.1-1
- initial build
